summaryrefslogtreecommitdiff
path: root/dev-python/lxml
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-python/lxml
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-python/lxml')
-rw-r--r--dev-python/lxml/Manifest1
-rw-r--r--dev-python/lxml/lxml-4.6.2-r1.ebuild (renamed from dev-python/lxml/lxml-4.6.1.ebuild)24
-rw-r--r--dev-python/lxml/lxml-4.6.2.ebuild81
3 files changed, 22 insertions, 84 deletions
diff --git a/dev-python/lxml/Manifest b/dev-python/lxml/Manifest
index 4237fe3cc16a..09a9b9b6e037 100644
--- a/dev-python/lxml/Manifest
+++ b/dev-python/lxml/Manifest
@@ -1,2 +1 @@
-DIST lxml-4.6.1.tar.gz 946461 BLAKE2B b1ea8e15af1130b9f9683614bbc2480ec5008ad697f70536a332c1faf4bda4aa9525b2ef5d82d32c415c91e47ab54c7b3cb644e9a2933517946c3fc8ab7ec7c5 SHA512 3cc917e7535ac1be3db8939f72846313267c8b1f0adccc92a2155a160ed7299d0def718bdae1379e42398ca1b959b1130505597febca00f02cb87c8666f1f1c3
DIST lxml-4.6.2.tar.gz 948652 BLAKE2B df6ec7e183df48c0edc6cce0fbdd6ab78eb8d1b7e8fb81a76bd9f4a24f05923c757d5b21f508be9be50c7bb187927c4e3a66146d480f2d40efc05388d26d3bf5 SHA512 81dcf5cade7b05c0e831beae7cdfbdb21e876fa55b23da98b89cbfa7960a4737efc13346ea3ade22a2448f20e036173cf5e32d43df6656c3231bfba07981f9ed
diff --git a/dev-python/lxml/lxml-4.6.1.ebuild b/dev-python/lxml/lxml-4.6.2-r1.ebuild
index 585a83d54c05..2f3ac0b5e73e 100644
--- a/dev-python/lxml/lxml-4.6.1.ebuild
+++ b/dev-python/lxml/lxml-4.6.2-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -14,7 +14,7 @@ S=${WORKDIR}/lxml-${P}
LICENSE="BSD ElementTree GPL-2 PSF-2"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc examples +threads test"
RESTRICT="!test? ( test )"
@@ -27,6 +27,14 @@ BDEPEND="
virtual/pkgconfig
dev-python/cython[${PYTHON_USEDEP}]
dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? (
+ $(python_gen_any_dep '
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+ ')
+ )
test? ( dev-python/cssselect[${PYTHON_USEDEP}] )
"
@@ -36,6 +44,14 @@ PATCHES=(
"${FILESDIR}"/${PN}-4.6.0-tests-pypy.patch
)
+python_check_deps() {
+ use doc || return 0
+ has_version "dev-python/docutils[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/pygments[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+ has_version "dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]"
+}
+
python_prepare_all() {
# avoid replacing PYTHONPATH in tests.
sed -i -e '/sys\.path/d' test.py || die
@@ -55,6 +71,10 @@ python_compile() {
distutils-r1_python_compile
}
+python_compile_all() {
+ use doc && emake html
+}
+
python_test() {
cp -r -l src/lxml/tests "${BUILD_DIR}"/lib/lxml/ || die
cp -r -l src/lxml/html/tests "${BUILD_DIR}"/lib/lxml/html/ || die
diff --git a/dev-python/lxml/lxml-4.6.2.ebuild b/dev-python/lxml/lxml-4.6.2.ebuild
deleted file mode 100644
index 585a83d54c05..000000000000
--- a/dev-python/lxml/lxml-4.6.2.ebuild
+++ /dev/null
@@ -1,81 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
-
-inherit distutils-r1 optfeature toolchain-funcs
-
-DESCRIPTION="A Pythonic binding for the libxml2 and libxslt libraries"
-HOMEPAGE="https://lxml.de/ https://pypi.org/project/lxml/ https://github.com/lxml/lxml"
-SRC_URI="https://github.com/lxml/lxml/archive/${P}.tar.gz"
-S=${WORKDIR}/lxml-${P}
-
-LICENSE="BSD ElementTree GPL-2 PSF-2"
-SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="doc examples +threads test"
-RESTRICT="!test? ( test )"
-
-# Note: lib{xml2,xslt} are used as C libraries, not Python modules.
-RDEPEND="
- >=dev-libs/libxml2-2.9.5
- >=dev-libs/libxslt-1.1.28"
-DEPEND="${RDEPEND}"
-BDEPEND="
- virtual/pkgconfig
- dev-python/cython[${PYTHON_USEDEP}]
- dev-python/setuptools[${PYTHON_USEDEP}]
- test? ( dev-python/cssselect[${PYTHON_USEDEP}] )
- "
-
-DISTUTILS_IN_SOURCE_BUILD=1
-
-PATCHES=(
- "${FILESDIR}"/${PN}-4.6.0-tests-pypy.patch
-)
-
-python_prepare_all() {
- # avoid replacing PYTHONPATH in tests.
- sed -i -e '/sys\.path/d' test.py || die
-
- # don't use some random SDK on Darwin
- sed -i -e '/_ldflags =/s/=.*isysroot.*darwin.*None/= None/' \
- setupinfo.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_compile() {
- if ! python_is_python3; then
- local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
- fi
- tc-export PKG_CONFIG
- distutils-r1_python_compile
-}
-
-python_test() {
- cp -r -l src/lxml/tests "${BUILD_DIR}"/lib/lxml/ || die
- cp -r -l src/lxml/html/tests "${BUILD_DIR}"/lib/lxml/html/ || die
- ln -s "${S}"/doc "${BUILD_DIR}"/ || die
-
- "${EPYTHON}" test.py -vv --all-levels -p || die "Test ${test} fails with ${EPYTHON}"
-}
-
-python_install_all() {
- if use doc; then
- local DOCS=( README.rst *.txt doc/*.txt )
- local HTML_DOCS=( doc/html/. )
- fi
- if use examples; then
- dodoc -r samples
- fi
-
- distutils-r1_python_install_all
-}
-
-pkg_postinst() {
- optfeature "Support for BeautifulSoup as a parser backend" dev-python/beautifulsoup
- optfeature "Translates CSS selectors to XPath 1.0 expressions" dev-python/cssselect
-}